/*
 * SB.cs
 * Copyright (c) 2008-2009 kbinani
 *
 * This file is part of Boare.Lib.Swf.
 *
 * Boare.Lib.Swf is free software; you can redistribute it and/or
 * modify it under the terms of the BSD License.
 *
 * Boare.Lib.Swf is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 */
using System;
using Boare.Lib.Swf;

namespace Boare.Lib.Swf {

    using UI8 = System.Byte;
    using UI32 = System.UInt32;
    using UI16 = System.UInt16;
    using SI8 = System.SByte;
    using SI16 = System.Int16;
    using SI32 = System.Int32;

    /// <summary>
    /// Signed-bit Value
    /// </summary>
    struct SB {
        private byte[] m_value;

        public void SetValue( SI8 value ) {

        }

        public SI32 GetSI32Value() {
            if ( m_value == null ) {
                return 0;
            } else {
                throw new NotImplementedException();
            }
        }

        public SI16 GetSI16Value() {
            if ( m_value == null ) {
                return 0;
            } else {
                throw new NotImplementedException();
            }
        }

    }

}